DataTables 1.10.0 release candidate

DataTables 1.10.0 release candidate

allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
edited April 2014 in Announcements
Hello all,

I'm very excited to announce the release of DataTables 1.10.0-rc.1 (release candidate). At this stage I think the software is release for release, but would like to ask you all to give it one more spin in your own software and check to see if there are any last minute issues!

Please download the RC and if you do find any issues, please let me know by opening a new thread in in the forum so we can track individual issues. Also, if you can provide a test case showing the issue, that would greatly assist in getting a fast fix.

For more details about this release please refer to this blog post:
http://next.datatables.net/blog/2014-04-25

The full package can be downloaded from:
http://next.datatables.net/download

Complete details of the changes for this release can be found on the CDN page for 1.10.0-rc.1:
http://cdn.datatables.net/1.10.0-rc.1/

The new manual for DataTables 1.10 is available here:
http://next.datatables.net/manual

Unless something goes majorly wrong, DataTables 1.10 and Editor 1.3 will be released next week. I've been working on a lot of changes behind the scenes so you'll see a lot of changes when these releases are made :-).

Regards,
Allan

Replies

  • aquajunkyaquajunky Posts: 4Questions: 0Answers: 0
    Great stuff. Is the download link above relevant? It links to the beta.2 package.
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    This link: http://next.datatables.net/download ? Try reloading the page in case you are getting a cached version. If not, here is the direct link: http://datatables.net/releases/DataTables-1.10.0-rc.1.zip

    Allan
  • TripHotTripHot Posts: 1Questions: 0Answers: 0
    Great job !! Works like a charm. After having spent some many hours to try making work another bootstrap datagrid tool, it's so relaxing to have a plugin that works out of the box. Thanks !!

    I use it with Rails 4.0.4 and bootstrap 3.1.1
  • audityabaudityab Posts: 2Questions: 0Answers: 0
    I'm using column filter along with table tools. "bSelectedOnly": true, This option is not working for my datatable 1.9.4 .. Even for this version I tried copying new scripts, but no luck.

    Could you please help me here.
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    @audityab - Please open a new thread for issues as explicitly requested in my post. Please also include a link to a test case showing the issue as required in the forum rules.

    Allan
  • chuychuy Posts: 5Questions: 0Answers: 0
    Do you have a list of API name changes, so that we can sit and do globalreplaces, and ensure we follow new naming convention.
    like mData-->data.......
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    You don't need to change the names - it is fully backwards compatible. Continue using the old names and it will continue to work as before.

    However, yes, I think this is a good idea to have a mapping between the two. I don't have one yet, but I will make one.

    Allan
  • chuychuy Posts: 5Questions: 0Answers: 0
    OK,
    thanks
    I at the end I want to change because I never liked previous naming. I will try to document what I did, because will change mrender, too
  • SergioKosikSergioKosik Posts: 3Questions: 0Answers: 0
    Is DataTables Supports the latest jQuery version?
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    @SergioKosik - Yes. jQuery 1.7+ is supported.

    Allan
  • SergioKosikSergioKosik Posts: 3Questions: 0Answers: 0
    One more question which browsers DataTables officially is compatible?
    I cant find any official documentation on it....
  • SergioKosikSergioKosik Posts: 3Questions: 0Answers: 0
    Thanks for answers in advance (wave)
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    IE6 and newer. The extensions all require IE8 or newer. The next major version of DataTables will also require IE8 or newer.

    Allan
  • austinrivasaustinrivas Posts: 8Questions: 2Answers: 0
    How is the features api changing? Didn't see that documented anywhere.

    Will I still be able to do something similar to this?

    [code]
    $.fn.dataTableExt.oApi.fnGetComponent = ->
    oSettings = @fnSettings()
    if oSettings
    if oSettings.oInit
    return oSettings.oInit.component or false
    throw new Error "DataTable Blaze component not instantiated"

    # * Register the Columng Filter Widget feature with DataTables
    $.fn.dataTableExt.aoFeatures.push
    fnInit: ( oSettings ) -> oSettings.oInstance.fnGetComponent().initializeColumnFilters()
    cFeature: "W"
    sFeature: "ColumnFilterWidgets"
    [/code]
  • allanallan Posts: 48,908Questions: 1Answers: 7,133 Site admin
    The old API plug-ins and feature options should be fully backwards compatible. It is possible that some of the plug-ins you are using need to be updated though.

    Allan
This discussion has been closed.